Core - Bug # 32664

Task # 32185 (Closed): Migrate TYPO3 Backend to ExtJS4
Task # 32201 (Closed): Umbrella for smaller outstanding tasks
Is Regression:
Subiject: Backend loops in Page module

Description

When creating a new content element, the backend loads again in itself. This makes using the Page module nearly impossible!

Associated revisions

Revision 103287a3 - 2011-12-19 20:09 - Steffen Ritter

[BUGFIX] Backend loops in Page module

Many modules call "refreshModuleMenu" when starting.
In fact the "renderMenu" behaves different than before the
transition to ExtJS 4 so that the backend got reloaded
completely.

Change it, to just refresh the menu as requested.

Change-Id: Ibe5c3693a4a9a5184d3c5d2f33ce86ee6a574669
Fixes: #32664
Releases: 4.7

Reviewed-on: http://review.typo3.org/7365

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History

#1 - 2011-12-18 16:34 - Steffen Ritter

- Status changed from New to Accepted

- Assigned To set to Steffen Ritter

#2 - 2011-12-18 16:59 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7365

#3 - 2011-12-19 17:39 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/7365

#4 - 2011-12-19 20:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:103287a31f8ee1c5662711bc19e1189e79c50df2.
